
%global meadversion 1.0.35
%global namedversion 1.0.35.Final-redhat-1
%global meadalpha .Final_redhat_1
%global meadrel .1
%global serial 1
%global namedversionrel redhat-1

%bcond_without mead

%bcond_with javadoc

%global eap -eap6

%define maven_version 1.0.35.Final-redhat-1

Name:           ironjacamar%{?eap}
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        IronJacamar
License:        LGPLv2.1+
Group:          Development/Java

%if %with mead
Source100: ironjacamar-project-1.0.35.Final-redhat-1-scm-sources.zip
Source102: ironjacamar-common-spi-1.0.35.Final-redhat-1-javadoc.jar
Source103: ironjacamar-common-spi-1.0.35.Final-redhat-1.pom
Source104: ironjacamar-common-spi-1.0.35.Final-redhat-1.jar
Source105: ironjacamar-common-spi-1.0.35.Final-redhat-1-sources.jar
Source106: ironjacamar-deployers-common-1.0.35.Final-redhat-1-javadoc.jar
Source107: ironjacamar-deployers-common-1.0.35.Final-redhat-1-sources.jar
Source108: ironjacamar-deployers-common-1.0.35.Final-redhat-1.pom
Source109: ironjacamar-deployers-common-1.0.35.Final-redhat-1.jar
Source110: ironjacamar-jdbc-1.0.35.Final-redhat-1.pom
Source111: ironjacamar-jdbc-1.0.35.Final-redhat-1-javadoc.jar
Source112: ironjacamar-jdbc-1.0.35.Final-redhat-1-sources.jar
Source113: ironjacamar-jdbc-1.0.35.Final-redhat-1.jar
Source114: ironjacamar-project-1.0.35.Final-redhat-1-project-sources.tar.gz
Source115: ironjacamar-project-1.0.35.Final-redhat-1-javadoc.jar
Source116: ironjacamar-project-1.0.35.Final-redhat-1.pom
Source117: ironjacamar-spec-api-1.0.35.Final-redhat-1-sources.jar
Source118: ironjacamar-spec-api-1.0.35.Final-redhat-1.pom
Source119: ironjacamar-spec-api-1.0.35.Final-redhat-1-javadoc.jar
Source120: ironjacamar-spec-api-1.0.35.Final-redhat-1.jar
Source121: ironjacamar-core-impl-1.0.35.Final-redhat-1-javadoc.jar
Source122: ironjacamar-core-impl-1.0.35.Final-redhat-1.pom
Source123: ironjacamar-core-impl-1.0.35.Final-redhat-1-sources.jar
Source124: ironjacamar-core-impl-1.0.35.Final-redhat-1.jar
Source125: ironjacamar-common-api-1.0.35.Final-redhat-1.pom
Source126: ironjacamar-common-api-1.0.35.Final-redhat-1-javadoc.jar
Source127: ironjacamar-common-api-1.0.35.Final-redhat-1-sources.jar
Source128: ironjacamar-common-api-1.0.35.Final-redhat-1.jar
Source129: ironjacamar-validator-1.0.35.Final-redhat-1-sources.jar
Source130: ironjacamar-validator-1.0.35.Final-redhat-1.jar
Source131: ironjacamar-validator-1.0.35.Final-redhat-1-javadoc.jar
Source132: ironjacamar-validator-1.0.35.Final-redhat-1.pom
Source133: ironjacamar-core-api-1.0.35.Final-redhat-1-sources.jar
Source134: ironjacamar-core-api-1.0.35.Final-redhat-1.pom
Source135: ironjacamar-core-api-1.0.35.Final-redhat-1-javadoc.jar
Source136: ironjacamar-core-api-1.0.35.Final-redhat-1.jar
Source137: ironjacamar-common-impl-1.0.35.Final-redhat-1-sources.jar
Source138: ironjacamar-common-impl-1.0.35.Final-redhat-1.jar
Source139: ironjacamar-common-impl-1.0.35.Final-redhat-1.pom
Source140: ironjacamar-common-impl-1.0.35.Final-redhat-1-javadoc.jar
%endif

URL:            http://www.ironjacamar.org
#
Requires:       ironjacamar-common-api%{?eap} = %{epoch}:%{version}-%{release}
Requires:       ironjacamar-common-impl%{?eap} = %{epoch}:%{version}-%{release}
Requires:       ironjacamar-common-spi%{?eap} = %{epoch}:%{version}-%{release}
Requires:       ironjacamar-core-api%{?eap} = %{epoch}:%{version}-%{release}
Requires:       ironjacamar-core-impl%{?eap} = %{epoch}:%{version}-%{release}
Requires:       ironjacamar-deployers-common%{?eap} = %{epoch}:%{version}-%{release}
Requires:       ironjacamar-jdbc%{?eap} = %{epoch}:%{version}-%{release}
Requires:       ironjacamar-spec-api%{?eap} = %{epoch}:%{version}-%{release}
Requires:       ironjacamar-validator%{?eap} = %{epoch}:%{version}-%{release}
#
BuildArch:      noarch
BuildRoot:      %{_tmppath}/ironjacamar%{?eap}-%{namedversion}-%{release}-root

%description
IronJacamar is an implementation of the Java EE Connector Architecture 1.6
specification.

%package -n ironjacamar-common-api%{?eap}
Summary:        IronJacamar
Group:          Development/Java

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils

%description -n ironjacamar-common-api%{?eap}
IronJacamar is an implementation of the Java EE Connector Architecture 1.6
specification.

%package -n ironjacamar-common-impl%{?eap}
Summary:        IronJacamar
Group:          Development/Java

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       ironjacamar-common-api%{?eap} = %{epoch}:%{version}-%{release}
Requires:       ironjacamar-common-spi%{?eap} = %{epoch}:%{version}-%{release}
Requires:       ironjacamar-spec-api%{?eap} = %{epoch}:%{version}-%{release}
Requires:       jboss-logging >= 0:3.1.1

%description -n ironjacamar-common-impl%{?eap}
IronJacamar is an implementation of the Java EE Connector Architecture 1.6
specification.

%package -n ironjacamar-common-spi%{?eap}
Summary:        IronJacamar
Group:          Development/Java

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils

%description -n ironjacamar-common-spi%{?eap}
IronJacamar is an implementation of the Java EE Connector Architecture 1.6
specification.

%package -n ironjacamar-core-api%{?eap}
Summary:        IronJacamar
Group:          Development/Java

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       ironjacamar-spec-api%{?eap} = %{epoch}:%{version}-%{release}
Requires:       jboss-transaction-spi >= 0:7.0.0
Requires:       jboss-transaction-api_1.1_spec >= 0:1.0.1
Requires:       jboss-threads >= 0:2.0.0

%description -n ironjacamar-core-api%{?eap}
IronJacamar is an implementation of the Java EE Connector Architecture 1.6
specification.

%package -n ironjacamar-core-impl%{?eap}
Summary:        IronJacamar
Group:          Development/Java

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       ironjacamar-common-impl%{?eap} = %{epoch}:%{version}-%{release}
Requires:       ironjacamar-core-api%{?eap} = %{epoch}:%{version}-%{release}
Requires:       ironjacamar-spec-api%{?eap} = %{epoch}:%{version}-%{release}
Requires:       jboss-logging >= 0:3.1.1
Requires:       hibernate-beanvalidation-api >= 0:1.0.0
Requires:       jboss-transaction-spi >= 0:7.0.0
Requires:       jboss-jaspi-api_1.0_spec >= 0:1.0.1
Requires:       jboss-transaction-api_1.1_spec >= 0:1.0.1
Requires:       jboss-threads >= 0:2.0.0
Requires:       picketbox >= 0:4.0.9

%description -n ironjacamar-core-impl%{?eap}
IronJacamar is an implementation of the Java EE Connector Architecture 1.6
specification.

%package -n ironjacamar-deployers-common%{?eap}
Summary:        IronJacamar
Group:          Development/Java

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       jboss-logging >= 0:3.1.1

%description -n ironjacamar-deployers-common%{?eap}
IronJacamar is an implementation of the Java EE Connector Architecture 1.6
specification.

%package -n ironjacamar-jdbc%{?eap}
Summary:        IronJacamar
Group:          Development/Java

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       jboss-transaction-api_1.1_spec >= 0:1.0.1

%description -n ironjacamar-jdbc%{?eap}
IronJacamar is an implementation of the Java EE Connector Architecture 1.6
specification.

%package -n ironjacamar-spec-api%{?eap}
Summary:        IronJacamar
Group:          Development/Java

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       jboss-transaction-api_1.1_spec >= 0:1.0.1

%description -n ironjacamar-spec-api%{?eap}
IronJacamar is an implementation of the Java EE Connector Architecture 1.6
specification.

%package -n ironjacamar-validator%{?eap}
Summary:        IronJacamar
Group:          Development/Java

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       ironjacamar-common-api%{?eap} = %{epoch}:%{version}-%{release}
Requires:       ironjacamar-common-impl%{?eap} = %{epoch}:%{version}-%{release}
Requires:       ironjacamar-common-spi%{?eap} = %{epoch}:%{version}-%{release}
Requires:       ironjacamar-spec-api%{?eap} = %{epoch}:%{version}-%{release}

%description -n ironjacamar-validator%{?eap}
IronJacamar is an implementation of the Java EE Connector Architecture 1.6
specification.

%if %with javadoc
%package -n ironjacamar-javadoc%{?eap}
Summary:        Javadoc for ironjacamar
Group:          Development/Documentation

Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildRequires:  unzip

%description -n ironjacamar-javadoc%{?eap}
%{summary}.
%endif

%prep

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}/%{name}
%{__cp} -p %{_sourcedir}/ironjacamar-common-api-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/ironjacamar-common-api-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/ironjacamar-common-api-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/%{name}/ironjacamar-common-api-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/ironjacamar-common-api-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/ironjacamar-common-api-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/ironjacamar-common-impl-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/ironjacamar-common-impl-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/ironjacamar-common-impl-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/%{name}/ironjacamar-common-impl-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/ironjacamar-common-impl-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/ironjacamar-common-impl-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/ironjacamar-common-spi-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/ironjacamar-common-spi-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/ironjacamar-common-spi-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/%{name}/ironjacamar-common-spi-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/ironjacamar-common-spi-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/ironjacamar-common-spi-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/ironjacamar-core-api-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/ironjacamar-core-api-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/ironjacamar-core-api-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/%{name}/ironjacamar-core-api-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/ironjacamar-core-api-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/ironjacamar-core-api-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/ironjacamar-core-impl-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/ironjacamar-core-impl-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/ironjacamar-core-impl-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/%{name}/ironjacamar-core-impl-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/ironjacamar-core-impl-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/ironjacamar-core-impl-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/ironjacamar-deployers-common-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/ironjacamar-deployers-common-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/ironjacamar-deployers-common-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/%{name}/ironjacamar-deployers-common-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/ironjacamar-deployers-common-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/ironjacamar-deployers-common-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/ironjacamar-jdbc-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/ironjacamar-jdbc-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/ironjacamar-jdbc-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/%{name}/ironjacamar-jdbc-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/ironjacamar-jdbc-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/ironjacamar-jdbc-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/ironjacamar-spec-api-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/ironjacamar-spec-api-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/ironjacamar-spec-api-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/%{name}/ironjacamar-spec-api-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/ironjacamar-spec-api-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/ironjacamar-spec-api-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/ironjacamar-validator-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/ironjacamar-validator-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/ironjacamar-validator-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/%{name}/ironjacamar-validator-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/ironjacamar-validator-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/ironjacamar-validator-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir}/%{name} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/ironjacamar-%{namedversion}
# FIXME: need aggregate javadoc
%{_bindir}/unzip -qq -d %{_sourcedir}/ironjacamar-core-api-%{namedversion}-javadoc.jar %{buildroot}%{_javadocdir}/ironjacamar-%{namedversion}
%{__ln_s} ironjacamar-%{namedversion} %{buildroot}%{_javadocdir}/ironjacamar
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n ironjacamar%{?eap}
%defattr(0644,root,root,0755)

%files -n ironjacamar-common-api%{?eap}
%defattr(0644,root,root,0755)
%if 0
%doc README.txt
%endif
%{_javadir}/%{name}/ironjacamar-common-api-%{namedversion}.jar
%{_javadir}/%{name}/ironjacamar-common-api.jar
%exclude %{_javadir}/%{name}/ironjacamar-common-api-%{namedversion}-javadoc.jar
%exclude %{_javadir}/%{name}/ironjacamar-common-api-javadoc.jar
%{_javadir}/%{name}/ironjacamar-common-api-%{namedversion}-sources.jar
%{_javadir}/%{name}/ironjacamar-common-api-sources.jar

%files -n ironjacamar-common-impl%{?eap}
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/ironjacamar-common-impl-%{namedversion}.jar
%{_javadir}/%{name}/ironjacamar-common-impl.jar
%exclude %{_javadir}/%{name}/ironjacamar-common-impl-%{namedversion}-javadoc.jar
%exclude %{_javadir}/%{name}/ironjacamar-common-impl-javadoc.jar
%{_javadir}/%{name}/ironjacamar-common-impl-%{namedversion}-sources.jar
%{_javadir}/%{name}/ironjacamar-common-impl-sources.jar

%files -n ironjacamar-common-spi%{?eap}
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/ironjacamar-common-spi-%{namedversion}.jar
%{_javadir}/%{name}/ironjacamar-common-spi.jar
%exclude %{_javadir}/%{name}/ironjacamar-common-spi-%{namedversion}-javadoc.jar
%exclude %{_javadir}/%{name}/ironjacamar-common-spi-javadoc.jar
%{_javadir}/%{name}/ironjacamar-common-spi-%{namedversion}-sources.jar
%{_javadir}/%{name}/ironjacamar-common-spi-sources.jar

%files -n ironjacamar-core-api%{?eap}
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/ironjacamar-core-api-%{namedversion}.jar
%{_javadir}/%{name}/ironjacamar-core-api.jar
%exclude %{_javadir}/%{name}/ironjacamar-core-api-%{namedversion}-javadoc.jar
%exclude %{_javadir}/%{name}/ironjacamar-core-api-javadoc.jar
%{_javadir}/%{name}/ironjacamar-core-api-%{namedversion}-sources.jar
%{_javadir}/%{name}/ironjacamar-core-api-sources.jar

%files -n ironjacamar-core-impl%{?eap}
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/ironjacamar-core-impl-%{namedversion}.jar
%{_javadir}/%{name}/ironjacamar-core-impl.jar
%exclude %{_javadir}/%{name}/ironjacamar-core-impl-%{namedversion}-javadoc.jar
%exclude %{_javadir}/%{name}/ironjacamar-core-impl-javadoc.jar
%{_javadir}/%{name}/ironjacamar-core-impl-%{namedversion}-sources.jar
%{_javadir}/%{name}/ironjacamar-core-impl-sources.jar

%files -n ironjacamar-deployers-common%{?eap}
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/ironjacamar-deployers-common-%{namedversion}.jar
%{_javadir}/%{name}/ironjacamar-deployers-common.jar
%exclude %{_javadir}/%{name}/ironjacamar-deployers-common-%{namedversion}-javadoc.jar
%exclude %{_javadir}/%{name}/ironjacamar-deployers-common-javadoc.jar
%{_javadir}/%{name}/ironjacamar-deployers-common-%{namedversion}-sources.jar
%{_javadir}/%{name}/ironjacamar-deployers-common-sources.jar

%files -n ironjacamar-jdbc%{?eap}
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/ironjacamar-jdbc-%{namedversion}.jar
%{_javadir}/%{name}/ironjacamar-jdbc.jar
%exclude %{_javadir}/%{name}/ironjacamar-jdbc-%{namedversion}-javadoc.jar
%exclude %{_javadir}/%{name}/ironjacamar-jdbc-javadoc.jar
%{_javadir}/%{name}/ironjacamar-jdbc-%{namedversion}-sources.jar
%{_javadir}/%{name}/ironjacamar-jdbc-sources.jar

%files -n ironjacamar-spec-api%{?eap}
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/ironjacamar-spec-api-%{namedversion}.jar
%{_javadir}/%{name}/ironjacamar-spec-api.jar
%exclude %{_javadir}/%{name}/ironjacamar-spec-api-%{namedversion}-javadoc.jar
%exclude %{_javadir}/%{name}/ironjacamar-spec-api-javadoc.jar
%{_javadir}/%{name}/ironjacamar-spec-api-%{namedversion}-sources.jar
%{_javadir}/%{name}/ironjacamar-spec-api-sources.jar

%files -n ironjacamar-validator%{?eap}
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/ironjacamar-validator-%{namedversion}.jar
%{_javadir}/%{name}/ironjacamar-validator.jar
%exclude %{_javadir}/%{name}/ironjacamar-validator-%{namedversion}-javadoc.jar
%exclude %{_javadir}/%{name}/ironjacamar-validator-javadoc.jar
%{_javadir}/%{name}/ironjacamar-validator-%{namedversion}-sources.jar
%{_javadir}/%{name}/ironjacamar-validator-sources.jar

%if %with javadoc
%files -n ironjacamar-javadoc%{?eap}
%defattr(0644,root,root,0755)
%{_javadocdir}/ironjacamar-%{namedversion}
%{_javadocdir}/ironjacamar
%{_javadir}/%{name}/ironjacamar-common-api-%{namedversion}-javadoc.jar
%{_javadir}/%{name}/ironjacamar-common-api-javadoc.jar
%{_javadir}/%{name}/ironjacamar-common-impl-%{namedversion}-javadoc.jar
%{_javadir}/%{name}/ironjacamar-common-impl-javadoc.jar
%{_javadir}/%{name}/ironjacamar-common-spi-%{namedversion}-javadoc.jar
%{_javadir}/%{name}/ironjacamar-common-spi-javadoc.jar
%{_javadir}/%{name}/ironjacamar-core-api-%{namedversion}-javadoc.jar
%{_javadir}/%{name}/ironjacamar-core-api-javadoc.jar
%{_javadir}/%{name}/ironjacamar-core-impl-%{namedversion}-javadoc.jar
%{_javadir}/%{name}/ironjacamar-core-impl-javadoc.jar
%{_javadir}/%{name}/ironjacamar-deployers-common-%{namedversion}-javadoc.jar
%{_javadir}/%{name}/ironjacamar-deployers-common-javadoc.jar
%{_javadir}/%{name}/ironjacamar-jdbc-%{namedversion}-javadoc.jar
%{_javadir}/%{name}/ironjacamar-jdbc-javadoc.jar
%{_javadir}/%{name}/ironjacamar-spec-api-%{namedversion}-javadoc.jar
%{_javadir}/%{name}/ironjacamar-spec-api-javadoc.jar
%{_javadir}/%{name}/ironjacamar-validator-%{namedversion}-javadoc.jar
%{_javadir}/%{name}/ironjacamar-validator-javadoc.jar
%endif

%changelog
* Fri Dec 11 2015 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.0.35-1.Final_redhat_1.1
- Upgrade to 1.0.35.Final

* Mon Nov 09 2015 Neil Wallace <nwallace@redhat.com> - 1.0.34-1.Final_redhat_1.1
- Upgrade to 1.0.34.Final

* Mon Oct 26 2015 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.0.33-1.Final_redhat_1.1
- Upgrade to 1.0.33.Final

* Wed May 06 2015 Lin Gao <lgao@redhat.com> - 1.0.32-1.Final_redhat_1.1
- Upgrade to 1.0.32.Final-redhat-1

* Tue Feb 17 2015 Lin Gao <lgao@redhat.com> - 1.0.31-1.Final_redhat_1.1
- Upgrade to 1.0.31.Final-redhat-1

* Fri Nov 21 2014 Lin Gao <lgao@redhat.com> - 1.0.30-1.Final_redhat_1.1
- Upgrade to 1.0.30.Final-redhat-1

* Thu Oct 23 2014 Lin Gao <lgao@redhat.com> - 1.0.29-1.Final_redhat_1.1
- Rebuild rpm wrapper

* Thu Oct 09 2014 Lin Gao <lgao@redhat.com> - 1.0.28-1.Final_redhat_1.1
- Upgrade to 1.0.28.Final-redhat-1

* Thu Aug 21 2014 David Walluck <dwalluck@redhat.com> - 1.0.27-1.Final_redhat_1.1
- 1.0.27.Final-redhat-1

* Mon Mar 31 2014 David Walluck <dwalluck@redhat.com> - 1.0.26-1.Final_redhat_1.1
"- 1.0.26.Final-redhat"

* Mon Mar 31 2014 David Walluck <dwalluck@redhat.com> - 1.0.25-3.Final_redhat_3.1
"- rebuild to fix version"

* Mon Mar 31 2014 David Walluck <dwalluck@redhat.com> - 1.0.25-2.Final_redhat_2.1
- 1.0.26.Final-redhat

* Mon Mar 31 2014 David Walluck <dwalluck@redhat.com> - 1.0.25-1.Final_redhat_1.1
- 1.0.25.Final-redhat

* Tue Mar 25 2014 Lin Gao <lgao@redhat.com> - 1.0.24-1.Final_redhat_1.1
- Update to 1.0.24.Final

* Tue Mar 25 2014 Lin Gao <lgao@redhat.com> - 1.0.23-6.Final_redhat_5.1
- Update to 1.0.24.Final

* Fri Mar 14 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.0.23-5.Final_redhat_5.1
- Build RPM wrappers

* Fri Jan 10 2014 Fernando Nasser <fnasser@redhat.com> - 1.0.23-4.Final_redhat_4.1
- [BZ:1043322] Remove all binary jar files from source

* Fri Jan 10 2014 Fernando Nasser <fnasser@redhat.com> - 1.0.23-4.Final_redhat_4.1
- [BZ:1043322] Remove all binary jar files from source

* Fri Jan 10 2014 Fernando Nasser <fnasser@redhat.com> - 1.0.23-4.Final_redhat_4.1
- [BZ:1043322] Remove all binary jar files from source

* Tue Dec 10 2013 David Walluck <dwalluck@redhat.com> - 1.0.23-3.Final_redhat_3.1
- resubmit build

* Tue Dec 10 2013 David Walluck <dwalluck@redhat.com> - 1.0.23-3.Final_redhat_3.1
- resubmit build

* Tue Dec 10 2013 David Walluck <dwalluck@redhat.com> - 1.0.23-3.Final_redhat_3.1
- resubmit build

* Tue Dec 10 2013 David Walluck <dwalluck@redhat.com> - 1.0.23-2.3.Final_redhat_1%{nil}
- convert to MEAD

* Tue Dec 10 2013 David Walluck <dwalluck@redhat.com> - 1.0.23-2.3.Final_redhat_1%{nil}
- convert to MEAD

* Wed Nov 20 2013 Fernando Nasser <fnasser@redhat.com> - 1.0.23-1.3.Final_redhat_1%{nil}
- Upgrade to 1.0.23.Final

* Wed Nov 20 2013 Fernando Nasser <fnasser@redhat.com> - 1.0.23-1.3.Final_redhat_1%{nil}
- Upgrade to 1.0.23.Final

* Wed Nov 20 2013 Fernando Nasser <fnasser@redhat.com> - 1.0.23-1.2.Final_redhat_1%{nil}
- Upgrade to 1.0.23.Final

* Thu Sep 12 2013 David Walluck <dwalluck@redhat.com> 0:1.0.20-1
- release
